Bug 1257839 - Should give some friendly prompt when updating the annotations on the resource successfully
Should give some friendly prompt when updating the annotations on the resourc...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Solly Ross
Jianwei Hou
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 04:30 EDT by Wei Sun
Modified: 2016-05-12 13:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:12:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2015-08-28 04:30:59 EDT
Description of problem:
Update the annotations on the resource by running `oc annotate`,but nothing is returned by CLI.CLI should give a friendly prompt.

Version-Release number of selected component (if applicable):
$ oc version 
oc v1.0.5-49-gf7b6723
kubernetes v1.1.0-alpha.0-1605-g44c91b1

devenv_fedora_2234

How reproducible:
Always

Steps to Reproduce:
1.Create an application
2.Update the annotations for one pod
3.

Actual results:
Update the annotations successfully,but there is no any prompt from CLI.

Expected results:
CLI should give a friendly prompt.

Additional info:
Comment 1 Solly Ross 2016-02-02 17:33:50 EST
This has already been fixed in OpenShift Origin as of https://github.com/openshift/origin/commit/1ca5c508ed534f940615b7de789a2d4fcf2eec1a
Comment 2 Wei Sun 2016-02-14 01:44:31 EST
Verified in devenv-rhel7_3422
# oc version
oc v1.1.2-258-gda69009
kubernetes v1.2.0-origin

Result:
# oc annotate pods ruby-hello-world-1-8dswb description='my frontend'
pod "ruby-hello-world-1-8dswb" annotated

Note You need to log in before you can comment on or make changes to this bug.